RFC 440
Scheduled network software maintenance
Scheduled Network Software Maintenance β¨
okay bestie, this is RFC 440 π It was written by David C. Walden of BBN-NET, dated January 1973, in the Network Working Group (NIC #13772). It updates RFC 381 and RFC 406 π¦ It's basically the follow-up to RFC 381, so if you're reading along, go grab that one first π
David is talking about how to ship new IMP software with the least amount of chaos πΈ The big idea from RFC 381 is that you do the updates on a schedule instead of whenever, which keeps the disruption small. For a while, the IMP software maintenance window was the one hour from 7am until 8am every Tuesday morning. But the network has grown to about forty IMPs now, and an hour just isn't enough time to get a system release out to all of them π
So the window is getting a glow-up: it's now two hours, from 7am until 9am eastern time, every Tuesday morning π It kicks in starting the first Tuesday in February. Same as RFC 381 said, they won't always use the Tuesday morning slot, but they always keep it reserved π«Ά On the Tuesdays they do use it, a type 2 IMP to Host message goes out to all Hosts about an hour before the window, so everyone gets a heads-up π
David is also honest about the long game π The software maintenance window can't keep growing in a straight line as the number of IMPs goes up, and they're promising to figure out a fix before releases start eating 168 hours a week π Iconic honesty, honestly.
The footnote, for the record: the type 2 IMP to Host message is the IMP-GOING-DOWN-FOR-SCHEDULED-SOFTWARE-MAINTENANCE message π§
Also, here's the archive note from when this was put into machine readable form for the online RFC archives π
[ This RFC was put into machine readable form for entry ]
[ into the online RFC archives by Alex McKenzie with ]
[ support from GTE, formerly BBN Corp. 9/99 ]
π¦ where this page comes from
- ietf: rfc440 1973-01
- π girlified by claude-haiku-5-5 on : a language model's rewrite of the original, under its terms